export declare const target = "wechat";
export declare const targetDescription = "\u5FAE\u4FE1\u5C0F\u7A0B\u5E8F";
export declare const fileType: {
    readonly template: ".wxml";
    readonly style: ".wxss";
    readonly config: ".json";
    readonly script: ".js";
    readonly sjs: ".wxs";
};
export declare const globalObject = "wx";
export declare const resolveMainFields: string[];
export declare const defaultNpmMiniProgramDist = "miniprogram_dist";
export declare const defaultConditionalFileExt = ".wx";
export declare const sjsTagName = "wxs";
export declare const sjsSrcAttrName = "src";
export declare const sjsModuleAttrName = "module";
export declare const isSupportSjsContent = true;
export declare const defaultOutputDir = "dist/wechat";
export declare const compileModuleKind: "CommonJS";
export declare const compileScriptTarget: "ES5";
export declare const projectConfigFiles: string[];
export declare const supportGlobalComponents = true;
export declare const templateSingleTagNames: any[];
export declare const templateDirectives: {
    if: string;
    elseIf: string;
    else: string;
    for: string;
    forItem: string;
    forIndex: string;
    key: string;
};
/**
 * 自定义 template 处理
 */
export declare const templateProcessor: {};
